Bug 543023 - autofs -hosts fails for large export lists
Summary: autofs -hosts fails for large export lists
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-01 14:19 UTC by arif
Modified: 2010-12-04 02:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 02:27:53 UTC
Type: ---


Attachments (Terms of Use)
Patch - fix rpc fail on large export list (3.96 KB, patch)
2009-12-03 02:41 UTC, Ian Kent
no flags Details | Diff

Description arif 2009-12-01 14:19:21 UTC
Description of problem:

With the standard autofs configuration under both Fedora 11 and 12, servers with large NFS export lists do not show up under /net. RedHat 5.4 works fine.


Version-Release number of selected component (if applicable):

autofs-5.0.5-11.fc12.x86_64
autofs-5.0.4-47.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Create 2 large exports on an NFS server, eg
     /a 192.168.1.1(ro) 192.168.1.2(ro) ... 192.168.1.254(ro)
     /b 192.168.1.1(ro) 192.168.1.2(ro) ... 192.168.1.254(ro)
   export -r
2. On client run the command "ls /net/server"
  
Actual results:

ls: cannot access /net/server: No such file or directory

Expected results:

a  b

Additional info:

I have traced this through modules/lookup_hosts.c, through lib/rpc_subs.c and into the RPC call 

        status = clnt_call(client, MOUNTPROC_EXPORT,
                         (xdrproc_t) xdr_void, NULL,
                         (xdrproc_t) xdr_exports, (caddr_t) exp,
                         info->timeout);
For large export lists then this returns a value of 12 and the rest of the module fails.

Comment 1 Ian Kent 2009-12-01 15:11:55 UTC
Mmmm .. ok, I'll investigate but my first impression is
that this is likely something in the RPC library.

Comment 2 arif 2009-12-01 16:35:38 UTC
Thanks for looking into this. I agree that it looks like an RPC library problem  and I poked at it as far as I could. As the issue is clearly manifested in autofs I thought that would be a good package to place the bug against for anyone else that has the same issue.

Comment 3 Ian Kent 2009-12-01 17:18:13 UTC
(In reply to comment #2)
> Thanks for looking into this. I agree that it looks like an RPC library problem
>  and I poked at it as far as I could. As the issue is clearly manifested in
> autofs I thought that would be a good package to place the bug against for
> anyone else that has the same issue.  

No problem.
autofs changed to using libtirpc at F-11 so that might be
a place to start. RHEL-5 also doesn't use libtirpc.

Comment 4 Ian Kent 2009-12-03 02:41:38 UTC
Created attachment 375656 [details]
Patch - fix rpc fail on large export list

Looks like this was an autofs problem after all.
See description in patch for more information.

Comment 5 Ian Kent 2009-12-03 02:50:11 UTC
I have built autofs with the above patch.
I believe you should be able to access the build here:
http://kojipkgs.fedoraproject.org/packages/autofs/5.0.5/15.fc12

Please test it and let me know how it goes.

Comment 6 arif 2009-12-03 12:56:58 UTC
Perfect. Thanks.

Can you also apply this patch to F11? It has the same problem.

Comment 7 Ian Kent 2009-12-03 14:19:38 UTC
(In reply to comment #6)
> Perfect. Thanks.
> 
> Can you also apply this patch to F11? It has the same problem.  

Sure, I plan to and Rawhide!

Comment 8 Fedora Update System 2009-12-04 14:03:53 UTC
autofs-5.0.5-15.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/autofs-5.0.5-15.fc12

Comment 9 Fedora Update System 2009-12-04 14:04:56 UTC
autofs-5.0.4-48 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/autofs-5.0.4-48

Comment 10 Fedora Update System 2009-12-07 07:25:05 UTC
autofs-5.0.5-15.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-12-07 07:32:17 UTC
autofs-5.0.4-48 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Bug Zapper 2010-11-04 04:46:06 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-04 02:27:53 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.